kind: AppProject
apiVersion: argoproj.io/v1alpha1
metadata:
  name: contour
  namespace: argocd
spec:
  sourceRepos:
    - "*"
  destinations:
  - server: https://kubernetes.default.svc
    namespace: "*"
  clusterResourceWhitelist:
  - group: '*'
    kind: '*'
  namespaceResourceBlacklist: []
---
apiVersion: v1
kind: Namespace
metadata:
  name: contour
  labels:
    name: contour
---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: contour
  namespace: argocd
spec:
  destination:
    server: https://kubernetes.default.svc
  project: contour
  source:
    path: contour
    targetRevision: HEAD
    repoURL: https://gitlab.com/agepoly/it/b22/argocd-contour.git
  syncPolicy:
    # automated: {}
    syncOptions:
      - ServerSideApply=true
---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: cert-manager
  namespace: argocd
spec:
  destination:
    server: https://kubernetes.default.svc
  project: contour
  source:
    path: cert-manager
    targetRevision: HEAD
    repoURL: https://gitlab.com/agepoly/it/b22/argocd-contour.git
  syncPolicy:
    # automated: {}
    syncOptions:
      - ServerSideApply=true